#language: ru

@purchase

Функционал: 011. Purchase. Распоряжение на отгрузку по возврату поставщику

Сценарий: 011.1. Purchase. Распоряжение на отгрузку по возврату поставщику
	
	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "08.011. Закупки"
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаОтгрузку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Закупки' 'Возвраты товаров поставщикам'
	Тогда открылось окно 'Возвраты товаров поставщикам'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               | 'Организация' | 'Подразделение'                 | 'Поставщик'       | 'Соглашение'                      | 'Сумма'       |
		| 'Возврат товара поставщику' | 'Организация' | 'Подразделение приемки заказов' | 'Ашан(поставщик)' | 'Соглашение для Ашана на дату заказа (поставщик)' | '250,00, RUB' |
	И я нажимаю на кнопку 'Распоряжение на отгрузку'
	Тогда открылось окно 'Распоряжение на отгрузку (создание)'
	И элемент формы с именем "Склад" стал равен 'Склад(ячейки и контроль)'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Основание' | 'Ед.' | 'Номенклатура'    | 'Количество 1' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Количество 2' | 'Вес, кг' | 'Ячейка'  |
		| '5,000'      | ''          | 'кг'  | 'Сыр Костромской' | ''             | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '5,000, кг'      | ''             | '5'       | '1030011' |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на отгрузку (создание)' в течение 20 секунд
	Тогда открылось окно 'Возвраты товаров поставщикам'
	И Я закрываю окно 'Возвраты товаров поставщикам'

Сценарий: 011.2. Purchase. Завершение

	И Я закрыл все окна клиентского приложения